<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 21/01/2020 - Created.
 -->
<!-- VG Alert New -->
<template>

	<lightning-card title="New Alert">

		<c-hog_error-msg error-message={error}></c-hog_error-msg>

		<lightning-spinner if:true={loading}
						   variant="brand"
						   size="medium"
						   alternative-text="Processing"></lightning-spinner>

		<lightning-record-edit-form object-api-name="HOG_Vent_Gas_Alert__c"
									if:true={validUser}
									onload={handleFormLoad}
									onsubmit={handleSubmit}
									onerror={handleFormError}
									onsuccess={handleSuccess}>
			<lightning-layout multiple-rows="true" class="slds-p-horizontal--small">
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="6" large-device-size="6">
<!--					WELL LOCATION INPUTS-->
					<lightning-input-field field-name="Well_Location__c"
										   value={alert.Well_Location__c}
										   onchange={handleWellLocationChange}
										   if:true={isLocationMode}
										   disabled
										   required></lightning-input-field>
					<lightning-input-field field-name="Well_Location__c"
										   value={alert.Well_Location__c}
										   onchange={handleWellLocationChange}
										   if:true={isStandaloneMode}
										   required></lightning-input-field>

				</lightning-layout-item>
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="6" large-device-size="6">
<!--					PRODUCTION ENGINEER-->
					<lightning-input-field field-name="Production_Engineer__c"
										   value={alert.Production_Engineer__c}
										   if:true={enableEngineerField}
										   required></lightning-input-field>
					<lightning-input-field field-name="Production_Engineer__c"
										   value={alert.Production_Engineer__c}
										   if:false={enableEngineerField}
										   disabled
										   required></lightning-input-field>

				</lightning-layout-item>
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="6" large-device-size="6">
<!--					PRIORITY-->
					<lightning-input-field field-name="Priority__c"
										   value="Low"
										   required></lightning-input-field>

				</lightning-layout-item>
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="6" large-device-size="6">
					<!--					TYPE-->
					<lightning-input-field field-name="Type__c"
										   value="Engineering Notification"
										   disabled
										   required></lightning-input-field>

				</lightning-layout-item>
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="12" large-device-size="12">
<!--					COMMENTS-->
					<lightning-input-field field-name="Comments__c"
										   required></lightning-input-field>

				</lightning-layout-item>
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="6" large-device-size="6">
<!--					STATUS-->
					<lightning-input-field field-name="Status__c"
										   value="Not Started"
										   disabled
										   required></lightning-input-field>

				</lightning-layout-item>
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="6" large-device-size="6">
<!--					FILE-->
					<lightning-input label="Attachments (limit ±25MB)"
									 type="file"
									 if:true={displayFilesInput}
									 onchange={handleFileSelection}
									 multiple></lightning-input>

				</lightning-layout-item>
				<lightning-layout-item size="12" small-device-size="12" medium-device-size="12" large-device-size="12"
									   if:true={hasFiles}>
<!--					FILE LIST-->
					<div class="slds-p-horizontal--x-small">
						Files which are going to be uploaded on submit:
						<div for:each={files}
							 for:item="file"
							 for:index="fileIndex"
							 class="slds-p-vertical--xxx-small"
							 key={file.name}>
							<lightning-button-icon variant="bare"
												   onclick={handleRemoveFile}
												   data-index={fileIndex}
												   icon-name="utility:close"
												   size="medium"
												   class="slds-p-right--xx-small slds-p-bottom--x-small"
												   alternative-text="remove"></lightning-button-icon>
							{file.name}
						</div>
					</div>
				</lightning-layout-item>
			</lightning-layout>

<!--			BUTTONS-->
			<div class="slds-m-top--medium slds-align--absolute-center" >
				<lightning-button label="Submit"
								  variant="brand"
								  type="submit"
								  name="save"
								  if:false={formInvalid}></lightning-button>
				<lightning-button label="Submit"
								  variant="brand"
								  type="submit"
								  name="save"
								  if:true={formInvalid}
								  disabled></lightning-button>
			</div>

		</lightning-record-edit-form>

	</lightning-card>

</template>